<bugID>586979<Summary>Inspector style panel "Looking at" element overflows</Summary><Description>Ideally we should have the field left aligned growing to the right with longer paths, but when we've filled the available space, we truncate from the start (with some notification to the user that we've done so)</Description></bugID>